/*-------------------------------------------------------------------------

project: genFamMem - maintaining families of requirements

author: Jan Bredereke
copyright: Jan Bredereke, 2000
$Id: printuseshier.h,v 1.2 2000/10/27 06:55:59 brederek Exp $

file: printuseshier.h - header file: print the uses-hierarchy
		        in the requested format

If NDEBUG is defined, the internal assertions are not checked anymore.

-------------------------------------------------------------------------*/

#ifndef PRINTUSESHIER_H
#define PRINTUSESHIER_H

#include <stdlib.h>
#include <stdio.h>
#include "global.h"

/*-------------------------------------------------------------------------
The constants that might be changed
-------------------------------------------------------------------------*/

/* the background colour of the boxes in the daVinci graph representation */
/* for normal boxes */
#define DAVINCI_BOXCOLOR_NORM		"#dddddd"
/* for default_properties boxes */
#define DAVINCI_BOXCOLOR_DEFPROP	"white"

/*-------------------------------------------------------------------------
The functions for external use
-------------------------------------------------------------------------*/

/* print the uses-hierarchy */
extern void
uhPrintUsesHierarchy();

#endif /* PRINTUSESHIER_H */

